import xhiveframework


def execute():
	xhiveframework.reload_doc("non_profit", "doctype", "member")
	old_named_members = xhiveframework.get_all("Member", filters={"name": ("not like", "MEM-%")})
	correctly_named_members = xhiveframework.get_all("Member", filters={"name": ("like", "MEM-%")})
	current_index = len(correctly_named_members)

	for member in old_named_members:
		current_index += 1
		xhiveframework.rename_doc("Member", member["name"], "MEM-" + str(current_index).zfill(5))

	xhiveframework.db.sql("""update `tabMember` set naming_series = 'MEM-'""")
